/*
 * WorldEdit, a Minecraft world manipulation toolkit
 * Copyright (C) sk89q <http://www.sk89q.com>
 * Copyright (C) WorldEdit team and contributors
 *
 * This program is free software: you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

package com.sk89q.worldedit.world.gamemode;

import javax.annotation.Nullable;

public class GameModes {

    public static final GameMode NOT_SET = register("");
    public static final GameMode SURVIVAL = register("survival");
    public static final GameMode CREATIVE = register("creative");
    public static final GameMode ADVENTURE = register("adventure");
    public static final GameMode SPECTATOR = register("spectator");

    private GameModes() {
    }

    private static GameMode register(final String id) {
        return register(new GameMode(id));
    }

    public static GameMode register(final GameMode gameMode) {
        return GameMode.REGISTRY.register(gameMode.getId(), gameMode);
    }

    public static @Nullable GameMode get(final String id) {
        return GameMode.REGISTRY.get(id);
    }

}
